summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Damian Perticone2022-08-21 21:52:05 +0200
committer Willy Sudiarto Raharjo2022-08-27 17:50:27 +0200
commit70dad7deac69570cb8d9fbb9f1b8274a2a8c1876 (patch)
tree24b1b0a12235333da9747e483b44b3be4e03eece /desktop
parent1d05056a3a7549fce674b41ac706aad33b70c443 (diff)
downloadslackbuilds-70dad7deac69570cb8d9fbb9f1b8274a2a8c1876.tar.gz
desktop/hyprland-bin: Added (dynamic tiling Wayland compositor)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/hyprland-bin/README9
-rw-r--r--desktop/hyprland-bin/doinst.sh9
-rw-r--r--desktop/hyprland-bin/hyprland-bin.SlackBuild103
-rw-r--r--desktop/hyprland-bin/hyprland-bin.info10
-rw-r--r--desktop/hyprland-bin/slack-desc19
5 files changed, 150 insertions, 0 deletions
diff --git a/desktop/hyprland-bin/README b/desktop/hyprland-bin/README
new file mode 100644
index 0000000000..2328426a59
--- /dev/null
+++ b/desktop/hyprland-bin/README
@@ -0,0 +1,9 @@
+Hyprland is a dynamic tiling Wayland compositor based on wlroots that
+doesn't sacrifice on its looks.
+
+It supports multiple layouts, fancy effects, has a very flexible IPC
+model allowing for a lot of customization, and more.
+
+The hyprland config file will be generated in $HOME/.config/hypr
+
+For custom configuration visit the hyprland web page wiki.
diff --git a/desktop/hyprland-bin/doinst.sh b/desktop/hyprland-bin/doinst.sh
new file mode 100644
index 0000000000..65c7e2eeb9
--- /dev/null
+++ b/desktop/hyprland-bin/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/desktop/hyprland-bin/hyprland-bin.SlackBuild b/desktop/hyprland-bin/hyprland-bin.SlackBuild
new file mode 100644
index 0000000000..2cefdfa82f
--- /dev/null
+++ b/desktop/hyprland-bin/hyprland-bin.SlackBuild
@@ -0,0 +1,103 @@
+#!/bin/bash
+
+# Slackware build script for hyprland
+
+# Copyright 2022 Damian Perticone, Berisso, Argentina
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=hyprland-bin
+BINNAM=v0.10.3beta
+VERSION=${VERSION:-0.10.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $BINNAM
+mkdir -p $PRGNAM
+tar xvf $CWD/$BINNAM.tar.gz -C $PRGNAM
+cd $PRGNAM/hyprland
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG
+
+install -Dm755 Hyprland -t $PKG/usr/bin
+install -Dm755 hyprctl -t $PKG/usr/bin
+install -Dm755 libwlroots.so.11032 -t $PKG/usr/lib64
+install -Dm644 example/hyprland.desktop -t $PKG/usr/share/wayland-sessions
+install -Dm644 example/hyprland.conf -t $PKG/usr/share/hyprland
+install -Dm644 assets/*.png -t $PKG/usr/share/hyprland
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/desktop/hyprland-bin/hyprland-bin.info b/desktop/hyprland-bin/hyprland-bin.info
new file mode 100644
index 0000000000..527085c54b
--- /dev/null
+++ b/desktop/hyprland-bin/hyprland-bin.info
@@ -0,0 +1,10 @@
+PRGNAM="hyprland-bin"
+VERSION="0.10.3"
+HOMEPAGE="https://hyprland.org"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://github.com/hyprwm/Hyprland/releases/download/v0.10.3beta/v0.10.3beta.tar.gz"
+MD5SUM_x86_64="d0e083083610896428ac512ce569dffe"
+REQUIRES="seatd"
+MAINTAINER="Damian Perticone"
+EMAIL="mjolnirdam@gmail.com"
diff --git a/desktop/hyprland-bin/slack-desc b/desktop/hyprland-bin/slack-desc
new file mode 100644
index 0000000000..5c29845302
--- /dev/null
+++ b/desktop/hyprland-bin/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+hyprland-bin: hyprland-bin (dynamic tiling Wayland compositor)
+hyprland-bin:
+hyprland-bin: Hyprland is a dynamic tiling Wayland compositor based on wlroots that
+hyprland-bin: doesn't sacrifice on its looks. It supports multiple layouts, fancy
+hyprland-bin: effects, has a very flexible IPC model allowing for a lot of
+hyprland-bin: customization.
+hyprland-bin:
+hyprland-bin:
+hyprland-bin: https://hyprland.org
+hyprland-bin:
+hyprland-bin: